at.chipkarte.client.ebs.soap

## Class EvidenzBeantwortung

- Object
- - at.chipkarte.client.ebs.soap.EvidenzBeantwortung

-     public class EvidenzBeantwortung
      extends Object

  Dient der Ausgabe einer Evidenzbeantwortung.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EvidenzBeantwortung()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAntwortdatum()` Datum an dem die Antwort geschickt wurde.
    `String` | `getBeantworterkennung()` Angabe, ob die Antwort durch einen Vertragspartner oder einen Patienten geschickt wurde.
    `String` | `getEvidenzantwort()` Freitextantwort auf die Fragestellung der Evidenzmeldung.
    `AttachmentInfo` | `getEvidenzAttachmentInfo()` Informationen zu Anlagen die zu der Evidenzbeantwortung vorhanden sind.
    `Boolean` | `getSelbsterstellt()` Information ob die Antwort durch den abfragenden Vertragspartner selbst erstellt wurde.
    `void` | `setAntwortdatum(String antwortdatum)`
    `void` | `setBeantworterkennung(String beantworterkennung)`
    `void` | `setEvidenzantwort(String evidenzantwort)`
    `void` | `setEvidenzAttachmentInfo(AttachmentInfo evidenzAttachmentInfo)`
    `void` | `setSelbsterstellt(Boolean selbsterstellt)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EvidenzBeantwortung

          public EvidenzBeantwortung()

  - ### Method Detail

    - #### getAntwortdatum

          public String getAntwortdatum()

      Datum an dem die Antwort geschickt wurde.
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Returns:
        Antwortdatum.

    - #### setAntwortdatum

          public void setAntwortdatum(String antwortdatum)

    - #### getBeantworterkennung

          public String getBeantworterkennung()

      Angabe, ob die Antwort durch einen Vertragspartner oder einen Patienten geschickt wurde.
      Hinweis: KVTs antworten nicht auf Evidenzmeldungen.
      Mögliche Werte siehe `ErfasserkennungTypConstants`.
      Angabe: Muss.
      Returns:
        Beantworterkennung.

    - #### setBeantworterkennung

          public void setBeantworterkennung(String beantworterkennung)

    - #### getSelbsterstellt

          public Boolean getSelbsterstellt()

      Information ob die Antwort durch den abfragenden Vertragspartner selbst erstellt wurde.
      Angabe: Muss.
      Returns:
        Selbsterstellt.

    - #### setSelbsterstellt

          public void setSelbsterstellt(Boolean selbsterstellt)

    - #### getEvidenzantwort

          public String getEvidenzantwort()

      Freitextantwort auf die Fragestellung der Evidenzmeldung.
      Angabe: Bedingt. Eine Evidenzbeantwortung beinhaltet eine Freitextantwort und/oder eine Attachmentinfo.
      Format: 1000-stellig
      Returns:
        Evidenzantwort.

    - #### setEvidenzantwort

          public void setEvidenzantwort(String evidenzantwort)

    - #### getEvidenzAttachmentInfo

          public AttachmentInfo getEvidenzAttachmentInfo()

      Informationen zu Anlagen die zu der Evidenzbeantwortung vorhanden sind. Siehe `AttachmentInfo`.
      Hinweis: Es werden nur die Informationen zu den Anlagen einer Evidenzmeldung retourniert. Die Anlagen selbst müssen bei Bedarf separat mittels der Funktion herunterladenAttachments abgerufen werden.
      Angabe: Bedingt. Eine Evidenzbeantwortung beinhaltet eine Freitextantwort und/oder eine Attachmentinfo.
      Returns:
        EvidenzAttachmentInfo.

    - #### setEvidenzAttachmentInfo

          public void setEvidenzAttachmentInfo(AttachmentInfo evidenzAttachmentInfo)